%define upstream_name    Math-Prime-Util-GMP
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl interface to the GMP library's rational (mpq) functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Math::BigInt) >= 1.880.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(XSLoader) >= 0.10.0
BuildRequires: perl(base)
BuildRequires: gmp-devel
BuildRequires: perl-devel
%description
A perl interface to the GMP library's rational (mpq) functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.520.0-7.mga10
+ Revision: 2226142
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.520.0-6.mga10
+ Revision: 2088126
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.520.0-5.mga10
+ Revision: 2011583
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.520.0-4.mga9
+ Revision: 1862124
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.520.0-3.mga9
+ Revision: 1797952
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.520.0-2.mga9
+ Revision: 1726898
- Rebuild for perl 5.34

* Tue Jun 23 2020 tv <tv> 0.520.0-1.mga8
+ Revision: 1598552
- update to 0.52

* Wed Jun 17 2020 umeabot <umeabot> 0.510.0-6.mga8
+ Revision: 1594924
- Rebuild for perl 5.32

* Tue May 26 2020 tv <tv> 0.510.0-5.mga8
+ Revision: 1587750
- fix compiling with gmp-6.2.0 (CPAN RT #132489)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.510.0-3.mga8
+ Revision: 1433146
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.510.0-2.mga7
+ Revision: 1293437
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 tv <tv> 0.510.0-1.mga7
+ Revision: 1255450
- update to 0.51

* Wed Aug 08 2018 pterjan <pterjan> 0.500.0-2.mga7
+ Revision: 1249552
- Rebuild for perl 5.28

* Thu Nov 30 2017 tv <tv> 0.500.0-1.mga7
+ Revision: 1180489
- update to 0.50

* Mon Nov 06 2017 tv <tv> 0.480.0-1.mga7
+ Revision: 1176182
- update to 0.48

* Tue Oct 03 2017 tv <tv> 0.460.0-3.mga7
+ Revision: 1165410
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.460.0-2.mga7
+ Revision: 1149081
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.460.0-1.mga7
+ Revision: 1128784
- update to 0.46

* Sat Jul 22 2017 neoclust <neoclust> 0.360.0-3.mga7
+ Revision: 1126633
- Rebuild against new Perl 5.26
+ shlomif <shlomif>
- .spec cleanups and modernizations

* Sat May 28 2016 shlomif <shlomif> 0.360.0-1.mga6
+ Revision: 1019214
- update to 0.36

* Thu Dec 17 2015 shlomif <shlomif> 0.350.0-1.mga6
+ Revision: 911343
- New version 0.35

* Mon Nov 09 2015 shlomif <shlomif> 0.340.0-1.mga6
+ Revision: 899925
- update to 0.34

* Sun Sep 06 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 873537
- update to 0.33

* Sun Aug 23 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 868505
- update to 0.32

* Fri Jun 26 2015 tv <tv> 0.310.0-2.mga6
+ Revision: 845002
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.310.0-1.mga6
+ Revision: 840712
- Importing perl-Math-Prime-Util-GMP


* Mon May 11 2015 cpan2dist 0.39-1mga
- initial mageia release, generated with cpan2dist
